option(TURBINE_USE_IMGUI "Include DearImGUI in build (GLFW only)" ON)
option(TURBINE_GL_FPS_PRINT "Print FPS to stdout" OFF)

target_sources(
	Turbine PRIVATE
		context.cpp
		clipboard.cpp
		turbine.cpp
)

target_compile_definitions(
	Turbine PRIVATE
		TURBINE_USE_IMGUI=$<IF:$<BOOL:${TURBINE_USE_IMGUI}>,1,0>
		TURBINE_GL_FPS_PRINT=$<IF:$<BOOL:${TURBINE_GL_FPS_PRINT}>,true,false>
)

target_link_libraries(
	Turbine PUBLIC
		glad
		glfw
		imgui
		lodepng
)
